"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const iterare_1 = require("iterare");
/**
 * Map-based file system that holds map (URI -> content)
 */
class MapFileSystem {
    constructor(files) {
        this.files = files;
    }
    getWorkspaceFiles(base) {
        return __awaiter(this, void 0, void 0, function* () {
            return iterare_1.iterate(this.files.keys())
                .filter(path => !base || path.startsWith(base));
        });
    }
    getTextDocumentContent(uri) {
        return __awaiter(this, void 0, void 0, function* () {
            const ret = this.files.get(uri);
            if (ret === undefined) {
                throw new Error(`Attempt to read not-existent file ${uri}`);
            }
            return ret;
        });
    }
}
exports.MapFileSystem = MapFileSystem;
//# sourceMappingURL=fs-helpers.js.map